Name:           calf
Summary:        Pack of multi-standard audio plugins for LV2 and host for JACK
Version:        0.0.60
Release:        %mkrel 2
Source0:        https://github.com/%{name}-studio-gear/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
URL:            http://calf-studio-gear.org/
License:        GPLv2
Group:          Sound/Midi

BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  gtk2-devel
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  jackit-devel
BuildRequires:  pkgconfig(lv2) >= 1.12.0
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(fluidsynth)
Requires:       redland
Requires:       lv2 >= 1.12.0
Requires:       fluidsynth

%description
Calf is a pack of audio plugins for the LV2 interface.
Included are the following audio effects: vintage delay,
rotary speaker, reverb, multi chorus, flanger, phaser, filter,
compressor. It also contains two full-blown synthesizers: monosynth and
organ.

The plugins are available in LV2 and Standalone JACK formats.
This package contains the common files and the Standalone JACK plugin.

%package -n lv2-%{name}-plugins
Summary:        Calf plugins in LV2 format
Group:          Sound/Midi
License:        GPLv2+ and LGPLv2+ and Public Domain
Requires:       %{name} = %{version}-%{release}

%description -n lv2-%{name}-plugins
This package contains LV2 synthesizers and effects, MIDI I/O and GUI
extensions.

%prep
%setup -q

%build
export NOCONFIGURE=1
./autogen.sh

%configure2_5x  --with-lv2-dir=%{_libdir}/lv2 \
                --enable-static=false \
                --libdir=%{_libdir} \
                --without-lash \
                --enable-experimental=yes
%make

%install
%make_install
# JACK host
desktop-file-install \
     --remove-category="Application" \
     --remove-category="GNOME" \
     --add-category="X-Midi" \
     --add-category="X-Mageia-CrossDesktop" \
     --remove-key="Version" \
     --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

%files
%doc README AUTHORS COPYING
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}jackhost
%{_libdir}/%{name}/%{name}.so
%exclude %{_libdir}/%{name}/%{name}.la

%{_datadir}/%{name}

%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}_plugin.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}_plugin.svg

%{_mandir}/man1/%{name}jackhost.1.*
%{_mandir}/man7/%{name}.7.*

%{_datadir}/applications/%{name}.desktop


%files -n lv2-%{name}-plugins
%{_libdir}/lv2/%{name}.lv2/


%changelog
* Sun Jan 17 2016 daviddavid <daviddavid> 0.0.60-2.mga6
+ Revision: 924873
- switch to %%configure2_5x to fix build

* Fri Oct 23 2015 barjac <barjac> 0.0.60-1.mga6
+ Revision: 894701
- new version 0.0.60
- changed URL

* Thu Oct 22 2015 danf <danf> 0.0.19-9.mga6
+ Revision: 894127
- Fixed build by packaging doc files

* Wed Oct 15 2014 umeabot <umeabot> 0.0.19-8.mga5
+ Revision: 747188
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.0.19-7.mga5
+ Revision: 693559
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.0.19-6.mga5
+ Revision: 678296
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 barjac <barjac> 0.0.19-5.mga5
+ Revision: 669734
- rebuild for lv2-1.10.0

* Thu May 08 2014 barjac <barjac> 0.0.19-4.mga5
+ Revision: 621146
- rebuild against lv2-1.8.0

* Fri Oct 18 2013 umeabot <umeabot> 0.0.19-3.mga4
+ Revision: 522316
- Mageia 4 Mass Rebuild

* Tue Feb 19 2013 barjac <barjac> 0.0.19-2.mga3
+ Revision: 399280
- remove un-needed require in sub-package
- remove un-needed /* in files
- lv2 provides lv2core, but Requires should now be lv2

* Mon Feb 18 2013 barjac <barjac> 0.0.19-1.mga3
+ Revision: 399097
- Corrected group in sub-package
- With thanks to Mandriva,  adapted by Philippe Didier

